[project]
name = "chunk-with-llm"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "azure-ada",
    "qdrant",
    "vertex-ai-gemini",
    "langchain>=0.3.25",
    "langchain-experimental>=0.3.4",
    "langchain-openai>=0.3.16",
    "marimo>=0.13.10",
    "openai>=1.72.0",
    "pdf2image>=1.17.0",
    "pypdf>=5.5.0",
    "python-dotenv>=1.0.1",
    "qdrant-client>=1.12.2",
    "matplotlib>=3.10.3",
    "seaborn>=0.13.2",
    "scipy>=1.15.3",
]

[tool.uv.sources]
azure-ada = { workspace = true }
qdrant = { workspace = true }
vertex-ai-gemini = { workspace = true }

[dependency-groups]
dev = ["polars>=1.29.0"]
